# MediaPlaybackTrait.RewindCommand

# MediaPlaybackTrait.RewindCommand


```
object MediaPlaybackTrait.RewindCommand : CommandDescriptor
```

<br />

*** ** * ** ***

Rewind the current media.

| See also |
|---|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackCommands#rewind(kotlin.Function1)` | Use this command from the `trait(MediaPlayback)` method. |

## Summary

| ### Nested types |
|---|
| `interface https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand.OptionalArgs` Optional arguments for the command RewindCommand Request |
| `class https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand.Request : https://developers.home.google.com/reference/kotlin/com/google/home/ClusterStruct` The request payload for the Rewind command. |
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand.Request.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's request fields. |
| `class https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand.Response : https://developers.home.google.com/reference/kotlin/com/google/home/ClusterStruct` The outcome of the `Rewind` command. |
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/Field?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand#getCommandRequestFieldByName(kotlin.String)(name: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` |

| ### Public properties |
|---|---|
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand#commandId()` Unique id corresponding to the command. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/MediaPlaybackTrait.RewindCommand#commandName()` Human-friendly name of the command. |

## Public functions

### getCommandRequestFieldByName

```
@HomeExperimentalGenericApi
open fun getCommandRequestFieldByName(name: String): Field?
```

## Public properties

### commandId

```
open val commandId: String
```

Unique id corresponding to the command.

### commandName

```
open val commandName: String
```

Human-friendly name of the command.